package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author lijin
 * @since 2023-01-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="MqttAcl对象", description="")
public class MqttAcl implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "连接地址")
    private String ipaddress;

    @ApiModelProperty(value = "连接名")
    private String username;

    @ApiModelProperty(value = "客户端ID（设备ID）")
    private String clientid;

    private String action;

    private String permission;

    @ApiModelProperty(value = "队列（设备ID）")
    private String topic;


}
