package com.xy.utils.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 字典子枚举
 */
@Getter
@AllArgsConstructor
public enum DictSonEnum {

    DEVICE_QUALITY_STATUS_QUALIFIED("qualified", "设备质检-合格状态-合格"),

    DEVICE_QUALITY_STATUS_UNQUALIFIED("unqualified", "设备质检-合格状态-不合格"),

    DEVICE_FACTORY_STATUS_NOT_SHIPPED("not_shipped", "设备质检-出厂状态-未出厂"),

    DEVICE_FACTORY_STATUS_SHIPPING("shipping", "设备质检-出厂状态-出厂预处理中"),

    DEVICE_FACTORY_STATUS_CAN_SHIPPED("can_shipped", "设备质检-出厂状态-可出厂"),

    DEVICE_FAULT_LEVEL_PAY_THRESHOLD_NOT_PAY("not_pay", "设备-故障等级-阈值-无法交易"),

    ;

    private String key;

    private String msg;

}
